// ***************************************************************
// This file was created using the CreateProject.sh script.
// CreateProject.sh is part of Bayesian Analysis Toolkit (BAT).
// BAT can be downloaded from http://www.mppmu.mpg.de/bat
// ***************************************************************

#ifndef __BAT__HYPOTHESISTEST__H
#define __BAT__HYPOTHESISTEST__H

#include <BAT/BCModel.h>

// This is a HypothesisTest header file.
// Model source code is located in file HypothesisTest/HypothesisTest.cxx

// ---------------------------------------------------------
class HypothesisTest : public BCModel
{
   public:

      // Constructors and destructor
      HypothesisTest();
      HypothesisTest(const char * name);
      ~HypothesisTest();

      // Methods to overload, see file HypothesisTest.cxx
      void DefineParameters();
      double LogAPrioriProbability(const std::vector<double> &parameters);
      double LogLikelihood(const std::vector<double> &parameters);
      // void MCMCIterationInterface();
};
// ---------------------------------------------------------

#endif

